Browse Source

Use Python 3.8 as the default runtime for tox

Wallaby support officially the following runtimes [1]:
- Python 3.6
- Python 3.8

During Victoria Python 3.7 was used as the default runtime [2] however this
version isn't longer officially supported.

Moving on the most recent officially supported runtime as the default runtime
for tox.

[1] https://governance.openstack.org/tc/reference/runtimes/wallaby.html#python-runtimes-for-wallaby
[2] https://governance.openstack.org/tc/reference/runtimes/victoria.html#python-runtimes-for-victoria

Change-Id: I93b58f133efe115cc954932ebca887d52f9edfac
changes/46/761146/1
Hervé Beraud 2 months ago
parent
commit
e33745b74c
1 changed files with 1 additions and 1 deletions
  1. +1
    -1
      tox.ini

+ 1
- 1
tox.ini View File

@ -1,6 +1,6 @@
[tox]
minversion = 3.1.0
envlist = py37,pep8
envlist = py38,pep8
skipsdist = True
# Automatic envs (pyXX) will only use the python version appropriate to that
# env and ignore basepython inherited from [testenv] if we set


Loading…
Cancel
Save